%{!?__python2:        %define __python2 /usr/bin/python2}
%{!?python2_sitelib:  %define python2_sitelib  %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %define python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%define modn   maxminddb
%define modv   1.2.3


Summary:       A Python extension for reading the MaxMind DB
Name:          python-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       APLv2
Group:         Development/Libraries
Source0:       https://pypi.python.org/packages/source/m/%{modn}/%{modn}-%{modv}.tar.gz
Patch0:        %{modn}-1.1.1-build.patch
URL:           https://pypi.python.org/pypi/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        MaxMind, Inc.
Provides:      python(%{modn}) = %{modv}
Requires:      python-ipaddress
BuildRequires: python2-devel >= 2.6 python-setuptools
BuildRequires: python-ipaddress python-nose python-unittest2
BuildRequires: libmaxminddb-devel


%description
Maxminddb is a Python module for reading MaxMind DB files. MaxMind DB
is a binary file format that stores data indexed by IP address subnets
(IPv4 or IPv6).


%prep
%setup -q -n %{modn}-%{modv}
%patch0 -p1


%build
%{__python2} -c 'import setuptools; execfile("setup.py")' build


%check
%{__python2} setup.py test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__python2} -c 'import setuptools; execfile("setup.py")' install \
	--skip-build -O1 --root ${RPM_BUILD_ROOT}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc HISTORY* LICENSE README*
%{python2_sitearch}/%{modn}
%{python2_sitearch}/*.egg-info


%changelog
* Wed Feb 22 2017 Peter Pramberger <peterpramb@member.fsf.org> - 1.2.3-1
- New version (1.2.3)

* Sat Aug 29 2015 Peter Pramberger <peterpramb@member.fsf.org> - 1.2.0-1
- New version (1.2.0)

* Mon Jan 12 2015 Peter Pramberger <peterpramb@member.fsf.org> - 1.1.1-1
- Initial build
